Bug 597434 - [abrt] crash in nssbackup-0.2-0.3.rc7.fc12: smtplib.py:713:sendmail:SMTPDataError: (555, "Message rejected: site policy requires all mail to have a 'Date' field.")
[abrt] crash in nssbackup-0.2-0.3.rc7.fc12: smtplib.py:713:sendmail:SMTPDataE...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nssbackup (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
abrt_hash:758b504c
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 19:21 EDT by Sylvain Arth
Modified: 2010-12-08 08:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:14:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.97 KB, text/plain)
2010-05-28 19:21 EDT, Sylvain Arth
no flags Details

  None (edit)
Description Sylvain Arth 2010-05-28 19:21:08 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/bin/nssbackupd
comment: started nssbackup manually once for both initialisation and test
component: nssbackup
executable: /usr/bin/nssbackupd
kernel: 2.6.32.11-99.fc12.i686.PAE
package: nssbackup-0.2-0.3.rc7.fc12
reason: smtplib.py:713:sendmail:SMTPDataError: (555, "Message rejected: site policy requires all mail to have a 'Date' field.")
release: Fedora release 12 (Constantine)

backtrace
-----
smtplib.py:713:sendmail:SMTPDataError: (555, "Message rejected: site policy requires all mail to have a 'Date' field.")

Traceback (most recent call last):
  File "/usr/bin/nssbackupd", line 31, in <module>
    main(sys.argv)
  File "/usr/lib/python2.6/site-packages/nssbackup/nssbackupd.py", line 267, in main
    sbd.run()
  File "/usr/lib/python2.6/site-packages/nssbackup/nssbackupd.py", line 221, in run
    self.__onFinish()
  File "/usr/lib/python2.6/site-packages/nssbackup/nssbackupd.py", line 244, in __onFinish
    self.__sendEmail()
  File "/usr/lib/python2.6/site-packages/nssbackup/nssbackupd.py", line 157, in __sendEmail
    server.sendmail(_from, _to, msg.as_string())
  File "/usr/lib/python2.6/smtplib.py", line 713, in sendmail
    raise SMTPDataError(code, resp)
SMTPDataError: (555, "Message rejected: site policy requires all mail to have a 'Date' field.")

Local variables in innermost frame:
resp: "Message rejected: site policy requires all mail to have a 'Date' field."
code: 555
from_addr: 'NSsbackup Daemon <sylvain@esus.gwenved.dro>'
esmtp_opts: ['size=745']
rcpt_options: []
self: <smtplib.SMTP instance at 0x870346c>
each: 'sylvain@gwenved.org'
msg: 'Content-Type: multipart/mixed; boundary="===============0564921775=="\nMIME-Version: 1.0\nSubject: [NSsbackup] [Default Profile] Rapport du 2010-05-29 01:17:46.876482\nFrom: NSsbackup Daemon <sylvain@esus.gwenved.dro>\nTo: sylvain@gwenved.org\n\n[NSsbackup] [Default Profile] Rapport du 2010-05-29 01:17:46.876482\n--===============0564921775==\nContent-Type: text/plain; charset="us-ascii"\nMIME-Version: 1.0\nContent-Transfer-Encoding: 7bit\nContent-Disposition: attachment; filename="nssbackup.log"\n\nNSSBackup \'standard\' Logger\r\n==============\r\n2010-05-29 01:16:40,633 - INFO - ConfigManager.py:__init__(297) - ConfigManager created from config file \'/home/sylvain/.config/nssbackup/nssbackup.d/nssbackup-standard.conf\'.\n\n--===============0564921775==--'
to_addrs: ['sylvain@gwenved.org']
senderrs: {}
mail_options: []
Comment 1 Sylvain Arth 2010-05-28 19:21:11 EDT
Created attachment 417765 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 09:55:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Admin XMLRPC Client 2010-11-24 04:19:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-12-03 09:14:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Mario Ceresa 2010-12-08 08:39:00 EST
Hello! nssbackup has been retired from fedora because the project was closed and merged back to sbackup. A new version of sbackup with all the enhancements of nssbackup and many fixes is on review now (https://bugzilla.redhat.com/show_bug.cgi?id=657397). When it is approved, could you please verify if this bug appears again and, in case, file it again?

Thanks and regards,

Mario

Note You need to log in before you can comment on or make changes to this bug.